Name:           cts-client
Version:        0.2.0
Release:        1%{?dist}
Summary:        CLI client for interacting with CTS

License:        GPLv3
Source:         %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
A command line client for Compose Tracking Service
...}

%description %_description

%prep
%autosetup -p1
sed -i 's/^PyJWT = .*/PyJWT = "^2.4.0"/g' pyproject.toml
sed -i 's/^filelock = .*/filelock = "^3.7.1"/g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cts


%files -f %{pyproject_files}
%{_bindir}/cts


%changelog
* Mon Jul 31 2023 Lubomír Sedlář <lsedlar@redhat.com> - 0.2.0-1
- Initial packaging
